--[[
	Datastorage
	 - Save data
	 - Load data
	 - Get data with __index
--]]

local json = require("libraries.json");

data = {};
data.storage = {};
setmetatable(data, {
	__index = function() return data.storage end
});

-- Player settings
data.storage.settings = {

	

};

function data:get(index)

	return self.storage[index];

end

function data:load()

	if (engine.filesystem.exists("data.dat")) then
		data.storage = json.decode(engine.filesystem.read("data.dat"));
	else
		self:save();
	end

end

function data:save()

	engine.filesystem.write("data.dat", json.encode(data.storage));

end