--[[
	Renderer
	 - Split draw hook into renderers
--]]

hook.add("GAME_DRAW", "renderer", function()
	-- Level 1 rendering
	hook.call("RENDER_ELEMENTS");
	hook.call("RENDER_OVERLAY");

	--- Level 2 world rendering
	hook.add("RENDER_ELEMENTS", "render_play", function()
		hook.call("RENDER_PLAY_MAP"); -- Tiles, player, npcs
		hook.call("RENDER_PLAY_EFFECTS"); -- Effects, shadows, lightning
		hook.call("RENDER_PLAY_GUI"); -- Menu, shop screen etc.
	end);
end);