game.maps = {};
game.maps.metadata = {
	tileSize = 32;
	charW = 19;
	charH = 30;
}

-- Changes 1-index arrays to 0-index arrays
local function pushIndexBack(tab)
	local result = {};

	for i, v in ipairs(tab) do
		result[i - 1] = v;
	end

	return result;
end

-- Test
game.maps["test"] = {
	info = {
		widthInTiles = 8;
		heightInTiles = 6;
	};

	tiles = pushIndexBack({
		39,40,29,29,29,29,41,43,
		28,22,23,23,23,23,24,44,
		28,20,19,19,19,19,18,44,
		28,21,26,26,26,26,25,44,
		45,36,36,36,36,36,36,27,
		37,32,32,32,32,32,32,42
	});
};